Name:           lxcontrolcenter
Version:        0.2
Release:        %mkrel 1
License:        GNU General Public License (GPL)
Url:            http://www.pclinuxos.com/
Source:         %{name}-%{version}.tar.bz2
Summary:        Control Center for LXDE
Group:          System/Configuration/Other
BuildArch:	noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
Requires:	gtkdialog3
Requires:	gtkdialogs
Requires:	perl-Gtk2-Ex-FormFactory
Requires:       glibc >= 2.10.1
Requires:       libstdc++6 >= 4.4.1
Requires:       lxinput lxsession-edit lxrandr pcmanfm obconf
Requires:       lxappearance lxpanel xscreensaver


%description
This is the Control Center for LXDE. Customize your LXDE installation. 


#german
%description -l de
Kontrollzentrum für LXDE. Passen Sie Ihre LXDE Installation.

#french
%description -l fr
C'est le centre de contrôle de LXDE. LXDE personnaliser votre installation.

#spanish
%description -l es
Este es el centro de control para LXDE. Personalizar la instalación LXDE.

#polish
%description -l pl
To jest centrum sterowania dla LXDE. Dostosowywanie instalacji LXDE.

#serbian
%description -l sr
То је контролни центар за ЛКСДЕ. Прилагодите своје ЛКСДЕ инсталације.

#dutch
%description -l nl
Dit is het Control Center voor LXDE. Pas uw LXDE installatie.


%prep
%setup -q


%build


%install
rm -rf $RPM_BUILD_ROOT


mkdir -p %buildroot%{_datadir}/applications/
cat > %buildroot%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=LXDE-Control-Center
Exec=/usr/bin/lxcontrolcenter
Comment=LXDE-Control-Center
Icon=lxde_icon
Terminal=false
Type=Application
StartupNotify=true
Categories=Settings;GTK;X-MandrivaLinux-System-Configuration;
OnlyShowIn=LXDE;
EOF


mkdir -p $RPM_BUILD_ROOT/%{_bindir}
mkdir -p $RPM_BUILD_ROOT/%_datadir/pixmaps
mkdir -p $RPM_BUILD_ROOT/%{_iconsdir}
mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}


install -m 755 %{name} $RPM_BUILD_ROOT%{_bindir}/%{name}
install -m 644 *.png $RPM_BUILD_ROOT%{_iconsdir}
install -m 644 lxde_icon.png $RPM_BUILD_ROOT/%_datadir/pixmaps/lxde_icon.png


%files 
%defattr(-, root, root)
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/*.png
%_datadir/pixmaps/lxde_icon.png
%doc readme


%changelog
* Sun Jul 18 2010 tigger-gg <rpm@mandrivauser.de> 0.2-1mud2010.1
- new version

* Sat Dec 05 2009 tigger-gg <rpm@mandrivauser.de> 0.1-1mud2010.0
- initial package for Mandriva 2010.0 based on a pclos spec
